function [MV,b,MyLAMBDA]=problem1s(n)
%[MV,b]=problem1s(n) 
%   Defines the right-hand side vector b of the linear problem A*x=b,
%   and defines the function that performes the multiplication with 
%   the matrix A, i.e., the matrix-vector multiplication.
%   MV is the handle of this function.
%   n is a parameter that determines the dimension of A.
%
%Note that size(b,1) will reveal the dimension of the problem.
%
%[MV,b,Lambda]=problem1(n)
%   Lambda is an size(b,1) x 1 array of eigenvalues of A
%
%Note: a function-handle is used to avoid repeatedly defining the matrix A.
%   See MATLAB's documentation "Using Handles to Store Function Parameters".
%
%
% See also ReadMe, problem1b, problem1c

  n=1000;
  Lambda=[1,n];
  h=(Lambda(2)-Lambda(1))/(n-1); 

  MyLAMBDA=(Lambda(1):h:Lambda(2))';
  
  shift=0;
  shift=2.001; shift=Lambda(1)-10*eps;
  % shift=8.993537413297;
  MyLAMBDA=(Lambda(1):h:Lambda(2))'-shift;
  % MyLAMBDA=(sqrt(MyLAMBDA))- shift;

  A=spdiags(MyLAMBDA,0,n,n);
  
  MV=@MyMV;

  function c=MyMV(u)
     c=A*u; 
  end
  
  x=ones(n,1);
  b=MyMV(x);


end